Bug 107159 - EMF+ EmfPlusDrawArc is not implemented
Summary: EMF+ EmfPlusDrawArc is not implemented
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Bartosz
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.2.8 target:5.3.4
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-14 13:58 UTC by Bartosz
Modified: 2017-04-29 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File on which arc is not displayed. It is displayed near square (196.89 KB, image/x-emf)
2017-04-14 14:00 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2017-04-14 13:58:46 UTC
Description:
EMF+ EmfPlusDrawArc is not implemented

Steps to Reproduce:
1. Drag and drop attached EMF file in Writer

Actual Results:  
Arc is not appearing in image


Expected Results:
Arc is appearing in image


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36
Comment 1 Bartosz 2017-04-14 14:00:16 UTC
Created attachment 132563 [details]
File on which arc is not displayed. It is displayed near square
Comment 2 Bartosz 2017-04-14 14:09:10 UTC
Review:
https://gerrit.libreoffice.org/#/c/36537/
Comment 3 Commit Notification 2017-04-16 12:35:27 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=715df6e9f8926e511dbdee52367ec08676f71952

tdf#107159 EMF+ Add support for EmfPlusDrawArc record

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-04-25 16:50:02 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10182700091869e869475bbbbfddcac02753076f&h=libreoffice-5-2

tdf#107159 EMF+ Add support for EmfPlusDrawArc record

It will be available in 5.2.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-04-29 18:54:05 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0adc3c002ddd7ccea6a184d9274e4695b1a857b4&h=libreoffice-5-3

tdf#107159 EMF+ Add support for EmfPlusDrawArc record

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.